XScreenSaver(1)

NAME
speedmine - simulates speeding down a rocky mineshaft, or a funky dancing worm

SYNOPSIS
speedmine [-display host:display.screen] [-root] [-window] [-install] [-noinstall] [-visual visual] [-wire] [-nowire] [-worm] [-foreground color] [-background color] [-darkground color] [-lightground color] [-tunnelend color] [-delay microseconds] [-maxspeed number] [-thrust number] [-gravity number] [-vertigo number] [-terrain] [-noterrain] [-smoothness number] [-curviness number] [-twistiness number] [-widening] [-nowidening] [-bumps] [-nobumps] [-bonuses] [-crosshair] [-nocrosshair] [-psychedelic] [-nopsychedelic] [-fps]

DESCRIPTION

Speedmine!

    Down the speedmine, you'll find speed to satisfy your moving needs; So if you're looking for a blast then hit the speedmine, really fast.

Speedworm loves you.

Speedworm likes to bump and grind and chase her tail, and dance around she really is a funky friend; she's made of speed from end to end.

You can configure stuff either with command-line options or X resources.

OPTIONS

-display host:display.screen
    Specifies which X display we should use (see the section DISPLAY NAMES in X(1) for more information about this option).

-root
    Draw on the root window.

-window
    Draw on a newly-created window. This is the default.

-install
    Install a private colormap for the window.

-noinstall
    Don't install a private colormap for the window.

-visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual. Possible choices include
    default, best, mono, monochrome, gray, grey, color, staticgray, staticcolor, truecolor, grayscale, greyscale, pseudocolor, directcolor, number If a decimal or hexadecimal number is used, XGetVisualInfo(3X) is consulted to obtain the required visual.

-worm
    Be a happy spastic worm instead of a tunnel.

-wire
    Specifies that the tunnel/worm should always be rendered in wireframe style.

-nowire
    Specifies that the tunnel/worm should be rendered normally. Note that tunnel rendering may still temporarily switch to wireframe style when a wireframe bonus is hit, if bonuses are enabled.

-foreground color
    Specifies the default foreground color.

-background color
    Specifies the default background color.

-darkground color
    Specifies the color of the darkest portions of the ground (or the worm's belly.) The ground/belly is colored by a gradient between darkground and lightground.

-lightground color
    Specifies the color of the lightest portions of the ground/belly. The ground/belly is colored by a gradient between darkground and lightground.

-tunnelend color
    Specifies the color of the light at the end of the tunnel.

-delay microseconds
    Specifies the delay between drawing successive frames. If you do not specify -sync, some X servers may batch up several drawing operations together, producing a less smooth effect. This is more likely to happen in monochrome mode (on monochrome servers or when -mono is specified).

-maxspeed number
    Specifies an upper bound on the speed of normal movement. This does not affect the speed that may be attained when hitting a speed bonus.

-thrust number
    Specifies the thrust constantly applied. Positive numbers indicate a forwards thrust, negative numbers indicate a backwards thrust.

-gravity number
    Specifies the effect of gravity. Larger numbers will increase acceleration downhill and decrease acceleration uphill.

-vertigo number
    Specifies to what level the demo should accentuate the curvature and windiness of the tunnel or worm.

-terrain
    Continuously generate a fractal terrain to simulate the rockiness of the tunnel walls, or the texture of the worm's skin.

-noterrain
    Do not generate terrain. When this option is set, all surfaces are flat.

-smoothness number
    When -terrain is set, specifies how smooth the walls or skin are.

-curviness number
    Controls how much the generated tunnel (or worm) should curve left and right, and dip up and down.

-twistiness number
    Controls how much the generated tunnel (or worm) twists around itself.

-widening
    Specifies that the generated tunnel (or worm) may vary in width.

-nowidening
    Specifies that the average width should be kept constant.

-bumps
    Indicates that the simulation should take the bumpiness of the ground into account and allow the animation to shake and rattle when travelling over rough ground. Or that the worm should be allowed to bump around and shake her booty.

-nobumps
    Indicates that the bumpiness of the ground should be ignored, such that the simulation will glide through the tunnel. Or that the worm should calm down and behave herself.

-bonuses
    Indicates that the demo should include bonus events. These include speed bonuses, spins, and changes of viewpoint and rendering style.

-nobonuses
    Indicates that bonuses should not be included in the demo.

-crosshair
    Specifies that a gaming style crosshair be drawn on the simulation. This serves little purpose but may make hardcore gamers feel more comfortable.

-nocrosshair
    Specifies that no crosshair be drawn.

-psychedelic
    Specifies that a psychedelic colormap should be generated. When this is set, the walls and ground of the tunnel are drawn in an often changing rainbow of colours.

-nopsychedelic
    Specifies that a normal colormap should be used, with muted walls and a grey road.

-fps
    Display the current frame rate and CPU load.

RESOURCES
    Option            Resource               Default Value
    ------            --------               -------------
    -wire             .wire                  False
    -background       .background            black
    -foreground       .foreground            white
    -darkground       .darkground            #101010
    -lightground      .lightground           #a0a0a0
    -tunnelend        .tunnelend             #000000
    -delay            .delay                 30000
    -maxspeed         .maxspeed              700
    -thrust           .thrust                1.0
    -gravity          .gravity               9.8
    -vertigo          .vertigo               1.0
    -terrain          .terrain               True
    -smoothness       .smoothness            6
    -curviness        .curviness             1.0
    -twistiness       .twistiness            1.0
    -widening         .widening              True
    -bumps            .bumps                 True
    -bonuses          .bonuses               True
    -crosshair        .crosshair             False
    -psychedelic      .psychedelic           False

WARNING
Speedworm is a trained professional. Do not try this at home. Prolonged viewing of this demo with maxspeed and vertigo above the defaults may have short-term psychological side effects including hyperactivity and attention deficiency.

COPYRIGHT
Copyright © 2001, Conrad Parker. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Conrad Parker <conrad@deephackmode.org>, April 2001.